### Enumeration

# Qmi WdsRadioAccessTechnology

since: 1.18

#### Declaration

    enum Qmi.WdsRadioAccessTechnology

#### Description [src]

Radio access technology.

Available since: 1.18

#### Members

`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_NULL_BEARER`

  Null bearer.

  - Value: `0`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP_WCDMA`

  WCDMA.

  - Value: `1`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP_GERAN`

  GERAN.

  - Value: `2`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP_LTE`

  LTE.

  - Value: `3`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP_TDSCDMA`

  TD-SDCMA.

  - Value: `4`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP_WLAN`

  3GPP WLAN.

  - Value: `5`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP_MAXIMUM`

  3GPP maximum.

  - Value: `100`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP2_1X`

  CDMA 1x.

  - Value: `101`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP2_HRPD`

  CDMA EVDO, HRPD.

  - Value: `102`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP2_EHRPD`

  CDMA EVDO with eHRPD.

  - Value: `103`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP2_WLAN`

  3GPP2 WLAN.

  - Value: `104`
  - Available since: 1.18
`QMI_WDS_RADIO_ACCESS_TECHNOLOGY_3GPP2_MAXIMUM`

  3GPP2 maximum.

  - Value: `200`
  - Available since: 1.18

#### Type functions

###### qmi_wds_radio_access_technology_get_string

Gets the nickname string for the `QmiWdsRadioAccessTechnology` specified at `val`.

since: 1.18